Skip to main content
POST
/
environments
/
{environment}
/
instances
Create instance
curl --request POST \
  --url https://cloud.laravel.com/api/environments/{environment}/instances \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "<string>",
  "size": "flex.c-1vcpu-256mb",
  "scaling_type": "none",
  "max_replicas": 0,
  "min_replicas": 0,
  "uses_scheduler": true,
  "scaling_cpu_threshold_percentage": 72,
  "scaling_memory_threshold_percentage": 72,
  "background_processes": [
    {
      "type": "worker",
      "processes": 5,
      "command": "php artisan my:command",
      "config": {
        "connection": "redis",
        "queue": "default,emails",
        "tries": 3,
        "backoff": 30,
        "sleep": 3,
        "rest": 0,
        "timeout": 60,
        "force": false
      }
    }
  ]
}
'
{
  "data": {
    "id": "<string>",
    "type": "instances",
    "attributes": {
      "name": "<string>",
      "type": "app",
      "size": "flex.c-1vcpu-256mb",
      "scaling_type": "none",
      "min_replicas": 123,
      "max_replicas": 123,
      "visibility_timeout": "<string>",
      "shutdown_timeout": 123,
      "uses_scheduler": true,
      "scaling_cpu_threshold_percentage": 123,
      "scaling_memory_threshold_percentage": 123,
      "created_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "environment": {
        "data": {
          "type": "environments",
          "id": "<string>"
        }
      },
      "backgroundProcesses": {
        "data": [
          {
            "type": "background_processes",
            "id": "<string>"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "environments",
      "links": {
        "self": {
          "href": "<string>",
          "rel": "<string>",
          "describedby": "<string>",
          "title": "<string>",
          "type": "<string>",
          "hreflang": "<string>",
          "meta": {}
        }
      },
      "attributes": {
        "name": "<string>",
        "slug": "<string>",
        "status": "deploying",
        "created_from_automation": true,
        "vanity_domain": "<string>",
        "php_major_version": "8.2",
        "build_command": "<string>",
        "node_version": "20",
        "deploy_command": "<string>",
        "uses_octane": true,
        "uses_push_to_deploy": true,
        "uses_deploy_hook": true,
        "environment_variables": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "network_settings": {
          "cache": {
            "strategy": "<string>"
          },
          "response_headers": {
            "frame": "<string>",
            "content_type": "<string>",
            "hsts": {
              "max_age": 123,
              "include_subdomains": true,
              "preload": true
            }
          },
          "firewall": {
            "bot_categories": [
              "academic_research"
            ],
            "rate_limit": {
              "429": true,
              "level": "challenge",
              "per_minute": 100,
              "4xx": true
            },
            "under_attack_mode_started_at": "<string>",
            "block_path": true
          },
          "content_converter": true
        },
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "application": {
          "data": {
            "type": "applications",
            "id": "<string>"
          }
        },
        "branch": {
          "data": {
            "type": "branches",
            "id": "<string>"
          }
        },
        "deployments": {
          "data": [
            {
              "type": "deployments",
              "id": "<string>"
            }
          ]
        },
        "currentDeployment": {
          "data": {
            "type": "deployments",
            "id": "<string>"
          }
        },
        "domains": {
          "data": [
            {
              "type": "domains",
              "id": "<string>"
            }
          ]
        },
        "primaryDomain": {
          "data": {
            "type": "domains",
            "id": "<string>"
          }
        },
        "instances": {
          "data": [
            {
              "type": "instances",
              "id": "<string>"
            }
          ]
        },
        "database": {
          "data": {
            "type": "databaseSchemas",
            "id": "<string>"
          }
        },
        "cache": {
          "data": {
            "type": "caches",
            "id": "<string>"
          }
        },
        "buckets": {
          "data": [
            {
              "type": "filesystems",
              "id": "<string>"
            }
          ]
        },
        "websocketApplication": {
          "data": {
            "type": "websocketApplications",
            "id": "<string>"
          }
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

environment
string
required

The environment identifier

Body

application/json
name
string
required
Required string length: 3 - 40
type
string
required
Allowed value: "service"
size
enum<string>
required
Available options:
flex.c-1vcpu-256mb,
flex.g-1vcpu-512mb,
flex.m-1vcpu-1gb,
flex.c-2vcpu-512mb,
flex.g-2vcpu-1gb,
flex.m-2vcpu-2gb,
flex.c-4vcpu-1gb,
flex.g-4vcpu-2gb,
flex.m-4vcpu-4gb,
flex.c-8vcpu-2gb,
flex.g-8vcpu-4gb,
flex.m-8vcpu-8gb,
pro.c-1vcpu-1gb,
pro.g-1vcpu-2gb,
pro.m-1vcpu-4gb,
pro.c-2vcpu-2gb,
pro.g-2vcpu-4gb,
pro.m-2vcpu-8gb,
pro.c-4vcpu-4gb,
pro.g-4vcpu-8gb,
pro.m-4vcpu-16gb,
pro.c-8vcpu-8gb,
pro.g-8vcpu-16gb,
pro.m-8vcpu-32gb,
dedicated.c-1vcpu-2gb,
dedicated.g-1vcpu-4gb,
dedicated.m-1vcpu-8gb,
dedicated.c-2vcpu-4gb,
dedicated.g-2vcpu-8gb,
dedicated.m-2vcpu-16gb,
dedicated.c-4vcpu-8gb,
dedicated.g-4vcpu-16gb,
dedicated.m-4vcpu-32gb,
dedicated.c-8vcpu-16gb,
dedicated.g-8vcpu-32gb,
dedicated.m-8vcpu-64gb
scaling_type
enum<string>
required
Available options:
none,
custom,
auto
max_replicas
integer
required
Required range: 1 <= x <= 0
min_replicas
integer
required
Required range: 1 <= x <= 0
uses_scheduler
boolean
scaling_cpu_threshold_percentage
integer | null
Required range: 50 <= x <= 95
scaling_memory_threshold_percentage
integer | null
Required range: 50 <= x <= 95
background_processes
object[]

Response

InstanceResource

data
InstanceResource · object
required
included
(EnvironmentResource · object | BackgroundProcessResource · object)[]